%define major		1
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:           openh323
Version:        1.18.0
Release:        %mkrel 7
Epoch:          1
Summary:        OpenH323 Library
License:        MPL
Group:          System/Libraries
URL:            http://www.openh323.org/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         openh323-1.19.0.1-mak_files.patch
Patch1:  	openh323-1.18.0-libname.patch
Patch2:         openh323-1.15.1-pic.diff
Patch3:         openh323-1.15.1-pwlib.diff
# (fc) 1.18.0-3mdv fix build
Patch4:		openh323-1.18.0-fixbuild.patch
BuildRequires:  autoconf
BuildRequires:  gawk
BuildRequires:  openssl-devel
BuildRequires:  openldap-devel
BuildRequires:  pwlib-devel >= 1.8.4
BuildRequires:  libspeex-devel
#BuildRequires: vpb-devel
BuildRequires:  X11-devel
# (oe) these conflicts for now. i was planning to build against them,
# but i save it for a rainy day, or someone else could fix it ;)
BuildConflicts: gsm-devel
BuildConflicts: libilbc-devel
BuildConflicts: vpb-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is an open source class library for the development of
applications that wish to use the H.323 protocol for multi-media
communications over packet based networks.

%package -n %{libname}
Summary:        OpenH323 Library
Group:          System/Libraries
Provides:       %{name}_%{major} = %{version}-%{release}
Obsoletes:      %{name}_%{major}
Requires:       %{libname}-plugins >= %{version}-%{release}

%description -n %{libname}
The OpenH323 project aims to create a full featured, interoperable,
Open Source implementation of the ITU H.323 teleconferencing protocol
that can be used by personal developers and commercial users without
charge.

%package -n %{develname}
Summary:        OpenH323 development files
Group:          Development/C
Requires:       %{libname} = %{epoch}:%{version}-%{release} 
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}_%{major}-devel
Provides:       %{name}_%{major}-devel = %{version}-%{release}
Obsoletes:	%{mklibname openh323_ 1 -d}

%description -n %{develname}
Header files and libraries for developing applications that use
OpenH323.

%package -n %{libname}-plugins
Summary:        Plugins for OpenH323
Group:          System/Libraries
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Obsoletes:      %{libname}-plugins-g726
Provides:       %{libname}-plugins-g726 = %{version}-%{release}
Provides:       lib%{name}-plugins-g726 = %{version}-%{release}
Provides:       %{name}-plugins-g726 = %{version}-%{release}
Obsoletes:      %{libname}-plugins-gsm0610
Provides:       %{libname}-plugins-gsm0610 = %{version}-%{release}
Provides:       lib%{name}-plugins-gsm0610 = %{version}-%{release}
Provides:       %{name}-plugins-gsm0610 = %{version}-%{release}
Obsoletes:      %{libname}-plugins-ilbc
Provides:       %{libname}-plugins-ilbc = %{version}-%{release}
Provides:       lib%{name}-plugins-ilbc = %{version}-%{release}
Provides:       %{name}-plugins-ilbc = %{version}-%{release}
Obsoletes:      %{libname}-plugins-ima
Provides:       %{libname}-plugins-ima = %{version}-%{release}
Provides:       lib%{name}-plugins-ima = %{version}-%{release}
Provides:       %{name}-plugins-ima = %{version}-%{release}
Obsoletes:      %{libname}-plugins-lpc10
Provides:       %{libname}-plugins-lpc10 = %{version}-%{release}
Provides:       lib%{name}-plugins-lpc10 = %{version}-%{release}
Provides:       %{name}-plugins-lpc10 = %{version}-%{release}
Obsoletes:      %{libname}-plugins-speex
Provides:       %{libname}-plugins-speex = %{version}-%{release}
Provides:       lib%{name}-plugins-speex = %{version}-%{release}
Provides:       %{name}-plugins-speex = %{version}-%{release}

%description -n %{libname}-plugins
This package contains all codec plugins for OpenH323 

%prep
%setup -q
%patch0 -p1 -b .mak_files
%patch1 -p0 -b .libname
%patch2 -p0 -b .pic
%patch3 -p0 -b .pwlib
%patch4 -p1 -b .fixbuild

%build
#don't set this otherwise it will be automatically used by pwlib/openh323 build
#system
export RPM_OPT_FLAGS="" 
export OPT_FLAGS="%{optflags} -DLDAP_DEPRECATED"
%define optflags ""
%{__autoconf}
export CXXFLAGS="$OPT_FLAGS -I../include"
%{configure2_5x} \
    --enable-localspeex \
    --enable-h263avcodec
%{__perl} -pi -e 's/\@SHAREDLIBEXT\@/.so/g' Makefile

#parallel build is broken
%{__make} OPTCCFLAGS="$OPT_FLAGS" optshared PREFIX=%{_prefix} OH323_INCDIR=$RPM_BUILD_DIR/%{name}-%{version}/include
#%%make optshared 

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

# fix strange perms
%{_bindir}/find %{buildroot} -type d -perm 0700 -exec chmod 755 {} \;
%{_bindir}/find %{buildroot} -type f -perm 0555 -exec chmod 755 {} \;
%{_bindir}/find %{buildroot} -type f -perm 0444 -exec chmod 644 {} \;

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{libname}
%defattr(0644,root,root,0755)
%doc *.txt mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/lib*.so.*

%files -n %{develname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/openh323

%files -n %{libname}-plugins
%defattr(-,root,root)
%dir %{_libdir}/pwlib/codecs
%dir %{_libdir}/pwlib/codecs/audio
%attr(0755,root,root) %{_libdir}/pwlib/codecs/audio/*.so


%changelog
* Sat Apr 11 2009 Funda Wang <fundawang@mandriva.org> 1:1.18.0-7mdv2009.1
+ Revision: 365960
- rediff libname patch

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.18.0-7mdv2009.0
+ Revision: 223363
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Adam Williamson <awilliamson@mandriva.org> 1:1.18.0-6mdv2008.1
+ Revision: 139452
- new devel policy

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.org> 1:1.18.0-5mdv2008.1
+ Revision: 136723
- attempt rebuild for new ldap

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 1:1.18.0-4mdv2008.0
+ Revision: 92549
- Force rebuild with latest pwlib

* Wed Sep 05 2007 Frederic Crozat <fcrozat@mandriva.com> 1:1.18.0-3mdv2008.0
+ Revision: 79821
- Patch4: fix build
- rebuild with latest expat

  + Funda Wang <fundawang@mandriva.org>
    - Revert wrong requires on static-devel
    - Buildrequires openssl-static-devel

* Tue May 29 2007 Funda Wang <fundawang@mandriva.org> 1:1.18.0-2mdv2008.0
+ Revision: 32318
- rebuild against directfb 1.0


* Sun Jan 07 2007 David Walluck <walluck@mandriva.org> 1.18.0-1mdv2007.0
+ Revision: 105062
- 1.18.0
- Import openh323

* Thu Nov 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.15.6-2mdk
- rebuilt against openssl-0.9.8a

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.15.6-1mdk
- Release 1.15.6

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.15.3-7mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Wed Aug 03 2005 Olivier Blin <oblin@mandriva.com> 1:1.15.3-6mdk
- fix changelog

* Wed Aug 03 2005 Guillaume Bedot <littletux@mandriva.org> 1:1.15.3-5mdk
- reup

* Tue Aug 02 2005 Guillaume Bedot <littletux@mandriva.org> 1:1.15.3-2mdk
- revert to 1.15.3 ( needed for gnomemeeting )
- use mkrel

* Mon Aug 01 2005 Guillaume Bedot <littletux@mandriva.org> 1.17.2-1mdk
- new version 1.17.2

* Tue Mar 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.3-3mdk 
- added P9 from cvs to make latest opengk compile

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.15.3-2mdk 
- Patch7 (Debian): fix build for AMD64

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.15.3-1mdk 
- Release 1.15.3
- Regenerate patch6

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.15.2-3mdk
- rebuild for ldap2.2_7

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.15.2-2mdk
- Merge all codec subpackages in one big plugins package (request from GM team)

* Mon Dec 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.15.2-1mdk
- Release 1.15.2
- Remove patch5 (merged upstream)

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.1.2mdk
- rediffed the lib64 patch and renumber it as P7
- merge stuff from 1.13.5.3-1mdk -> 1.13.5.3-4mdk:
  - Merge from old 10.0-branch: (Gwenole Beauchesne - 1.13.5.3-4mdk)
    * Patch8: extra lib64 fixes, aka use LIB defined from pwlib (Gwenole Beauchesne - 1.13.5.3-4mdk)
  - BuildConflicts on vpb-devel, it was causing Mdk bug #11582 (Frederic Crozat - 1.13.5.3-3mdk )
  - Remove patch4 (no longer needed) (Frederic Crozat - 1.13.5.3-2mdk)
  - Patch7 : new version of iLBC codec (fix Mdk bug #11582) (Frederic Crozat - 1.13.5.3-2mdk)
  - Update with Janus patch4 release (Frederic Crozat - 1.13.5.3-1mdk)
  - Remove patch7 (no longer needed) (Frederic Crozat - 1.13.5.3-1mdk)

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.1.1mdk
- 1.15.1
- rediffed P2, P3 and merge P4 into P6

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.1.1mdk
- 1.15.1
- rediffed P2, P3 and merge P4 into P6

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.0-1mdk
- 1.15.0
- rediff, reorder patches and clean up the spec file some
- added the %%{libname}-plugins-* sub packages just like pwlib

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.13.5-2mdk
- Rebuild

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.5-1mdk
- 1.13.5
- fix buildrequires
- regenerate P2

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-2mdk
- fix buildrequires

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-1mdk
- 1.13.4
- regenerate P2
- drop P4 (fixed upstream)
- do autoconf in %%build, not %%prep
- enable local speex version, won't compile against ours
- fix problem with symlink for devel lib (P6, am I doing something wrong here? seems to work well though..)

* Thu Feb 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.12.2-1mdk
- Release 1.12.2
- Remove patch 3 (merged upstream)
- Regenerate patch 4
- Patch5 : fix pwlib detection

